#ifndef ABSTRACTNETWORKINTERFACE_H
#define ABSTRACTNETWORKINTERFACE_H
#include <QByteArray>
#include "GlobalDefine.h"


class CNetworkDevice;
class CAbstractNetworkCommIF
{
public:

    CNetworkDevice *mDevicePtr;
    CAbstractNetworkCommIF(){mDevicePtr = 0;}
    virtual ~CAbstractNetworkCommIF() {}
    virtual int SendNetworkMessage(int DeviceID, int DeviceAddress, int MessageID, int DataSize, QByteArray *Data) = 0;
};

#endif // ABSTRACTNETWORKINTERFACE_H
